#!/bin/bash

# Outputs of varnishevent and varnishncsa for client formats are
# identical, except that varnishevent emits empty strings for data
# from headers that are empty, and varnishnca emits a '-'.

echo
echo "TEST: $0"
echo "... testing (near) equivalence of output with varnishncsa"

EVENT="../varnishevent"
NCSA="../../varnishncsa/varnishncsa"

EVENT_CKSUM=$( $EVENT -r varnish.binlog | sed 's/-//g' | cksum)
NCSA_CKSUM=$( $NCSA -r varnish.binlog | sed 's/-//g' | cksum)

if [ "$EVENT_CKSUM" != "$NCSA_CKSUM" ]; then
    echo "ERROR: cksums of no-arg varnishevent and varnishncsa differ"
    echo "varnishevent cksum = $EVENT_CKSUM"
    echo "varnishncsa cksum = $NCSA_CKSUM"
    exit 1
fi

EVENT_CKSUM=$( $EVENT -r varnish.binlog -f | sed 's/-//g' | cksum)
NCSA_CKSUM=$( $NCSA -r varnish.binlog -f | sed 's/-//g' | cksum)

if [ "$EVENT_CKSUM" != "$NCSA_CKSUM" ]; then
    echo "ERROR: cksums of no-arg varnishevent/varnishncsa -f differ"
    echo "varnishevent cksum = $EVENT_CKSUM"
    echo "varnishncsa cksum = $NCSA_CKSUM"
    exit 1
fi

exit 0
